ON_CompressStream Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_compress.h>`

## Public Member Functions

| ON_CompressStream ()
virtual | ~ON_CompressStream ()
bool | SetCallback (ON_StreamCallbackFunction callback_function, void *callback_context)
ON_StreamCallbackFunction | CallbackFunction () const
void * | CallbackContext () const
bool | Begin ()
bool | In (ON__UINT64 in_buffer_size, const void *in_buffer)
virtual bool | Out (void *callback_context, ON__UINT32 out_buffer_size, const void *out_buffer)
bool | End ()
ON__UINT64 | InSize () const
ON__UINT64 | OutSize () const
ON__UINT32 | InCRC () const
ON__UINT32 | OutCRC () const

## Detailed Description

Definition at line 22 of file opennurbs_compress.h.

## Constructor & Destructor Documentation

## ON_CompressStream()

ON_CompressStream::ON_CompressStream | ( |  | ) |

## ~ON_CompressStream()

virtual ON_CompressStream::~ON_CompressStream | ( |  | ) |

virtual

## Member Function Documentation

## Begin()

bool ON_CompressStream::Begin | ( |  | ) |

## CallbackContext()

void* ON_CompressStream::CallbackContext | ( |  | ) | const

## CallbackFunction()

ON_StreamCallbackFunction ON_CompressStream::CallbackFunction | ( |  | ) | const

## End()

bool ON_CompressStream::End | ( |  | ) |

## In()

bool ON_CompressStream::In | ( | ON__UINT64 | in_buffer_size,
|  | const void * | in_buffer
| ) |  |

## InCRC()

ON__UINT32 ON_CompressStream::InCRC | ( |  | ) | const

## InSize()

ON__UINT64 ON_CompressStream::InSize | ( |  | ) | const

## Out()

virtual bool ON_CompressStream::Out | ( | void * | callback_context,
|  | ON__UINT32 | out_buffer_size,
|  | const void * | out_buffer
| ) |  |

virtual

## OutCRC()

ON__UINT32 ON_CompressStream::OutCRC | ( |  | ) | const

## OutSize()

ON__UINT64 ON_CompressStream::OutSize | ( |  | ) | const

## SetCallback()

bool ON_CompressStream::SetCallback | ( | ON_StreamCallbackFunction | callback_function,
|  | void * | callback_context
| ) |  |

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_compress.h